const config = require('../../config');
const providers = config.providers;
const crypto = require('crypto');
const bcrypt = require('bcrypt');
const moment = require('moment');

module.exports = function(sequelize, DataTypes) {
  const loan_types = sequelize.define(
    'loan_types',
    {
      id: {
        type: DataTypes.UUID,
        defaultValue: DataTypes.UUIDV4,
        primaryKey: true,
      },

name_kh: {
        type: DataTypes.TEXT,

      },

name_en: {
        type: DataTypes.TEXT,

      },

      importHash: {
        type: DataTypes.STRING(255),
        allowNull: true,
        unique: true,
      },
    },
    {
      timestamps: true,
      paranoid: true,
      freezeTableName: true,
    },
  );

  loan_types.associate = (db) => {

    db.loan_types.belongsTo(db.users, {
      as: 'createdBy',
    });

    db.loan_types.belongsTo(db.users, {
      as: 'updatedBy',
    });
  };

  return loan_types;
};

